(**
 dnsprint.mli --- Pretty print function for DNS objects.
                                                                         
 Copyright (C)  2011  Jehan Hysseo <hysseo at zemarmot point net>
                                                                         
 This program is free software; you can redistribute it and/or modify it 
 under the terms of the GNU General Public License version 2 as          
 published by the Free Software Foundation.                              
                                                                         
 This program is distributed in the hope that it will be useful, but 
 WITHOUT ANY WARRANTY; without even the implied warranty of            
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     
 General Public License for more details.                                

*)

(**
Pretty print functions for DNS elements.

TODO: this pretty print API will need to be improved.
*)

(** {1 Printing for DNS data interpretation} *)

val pretty_record: Dns.rr -> string
(** [pretty_record record] will generate a contextual string translating a DNS
 resource records in natural language, if possible.
 @return a string which can be displayed in natural language.
 *)

val type_to_string: int -> string

(** {1 Printing functions for DNS message inspection} *)

val pretty_header: Dns.header -> string
