(**
 string_3.mli --- Private module to order string triplet.

 This API is part of ODNS library.
                                                                         
 Copyright (C)  2011  Jehan Hysseo <hysseo at zemarmot point net>
                                                                         
 This program is free software; you can redistribute it and/or modify it 
 under the terms of the GNU General Public License version 2 as          
 published by the Free Software Foundation.                              
                                                                         
 This program is distributed in the hope that it will be useful, but 
 WITHOUT ANY WARRANTY; without even the implied warranty of            
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     
 General Public License for more details.                                

*)
(* This module's only goal is to be used for the functor Map.Make in order to
 * tell it how to order string triplet. *)

type t = string * int * int

(* I order by name, then type, then class. *)
let compare (name1, type1, class1) (name2, type2, class2) =
    if String.compare name1 name2 != 0
    then
        String.compare name1 name2
    else
        begin
            if compare type1 type2 != 0
            then
                compare type1 type2
            else
                compare class1 class2
        end
;;

